/*
 Material didatico: Introducao 'a Programacao
 Prof. Leo^nidas de Oliveira Branda~o
 http://www.ime.usp.br/~leo
 http://line.ime.usp.br
 */

// Se precisar pegar URL da pagina
// A pagina "line_url.html" deve ter uma chamada 'defineEndereco(url1)' para cada url1 de href que tiver
// var prefixo; // 'carregar_pagina.js': se vier de 'line_*.html' define 'var prefixo = "line_"'
var endereco = window.location.href;
var enderecoFinal1 = window.location.href;

function defineEndereco (url1) {
  var str = "";
  try { // se vier de "line_*.html", entao "var prefixo" e' definido em 'carregar_pagina.js'
    if (prefixo === "undefined") str = "";
    else str = "line_";
  } catch (error) {
    } // truque para evitar erro quando vindo de pagina via Moodle
  ind = endereco.lastIndexOf("/");
  enderecoFinal1 = str + endereco.substring(0, ind) + "/" + url1;
  // alert(enderecoFinal1);
  return enderecoFinal1;
  }


// Na pagina 'introducao_*.html' usar: <a href="#" onclick="trocaPagina('introducao_*.html')"...>
function trocaPagina (url1) {
  var str = "";
  try { // se vier de "line_*.html", entao "var prefixo" e' definido em 'carregar_pagina.js'
    if (prefixo === "undefined") str = "";
    else str = "line_";
  } catch (error) {
    } // truque para evitar erro quando vindo de pagina via Moodle
  javascript:window.location.href = str + url1;
  }

// http://milanesa.ime.usp.br/line/intro_prog/line_http://milanesa.ime.usp.br/line/intro_prog/introducao_inteiros.html